| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
GSSAPI
GSSAPI.Name

# Method GSSAPI.Name()->`==()

Method `==

  `int `==(mixed other)`

Description

  Returns true if other is a GSSAPI.Name which contains a name that refers to the same identity as this one.

  This wraps `GSS_Compare_name` according to RFC 2743 section 2.4.3.

  If either GSSAPI.Name object is uninitialized or contains an anonymous identity then they are considered different, unless it is the very same GSSAPI.Name object (that is an inherent pike behavior).

Throws

  An error is thrown if the names are incomparable, or if either of them are ill-formed.